<back to all web services

SpecificListsGetRequest

The following routes are available for this service:
PUT/RestApi/lists-api/items
namespace Telerik.Sitefinity.Frontend.Services.ListsService.DTO

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type SpecificListsGetRequest() = 
        member val Ids:Guid[] = null with get,set
        member val Provider:String = null with get,set

    [<AllowNullLiteral>]
    type ItemsTargetLanguageStatusProxy() = 
        member val Code:String = null with get,set
        member val Name:String = null with get,set
        member val SomeItemsHaveIncompatiblePendingTranslations:Boolean = new Boolean() with get,set
        member val AllItemsHaveIncompatiblePendingTranslations:Boolean = new Boolean() with get,set

    [<DataContract>]
    [<AllowNullLiteral>]
    type CollectionContext<T>() = 
        [<DataMember>]
        member val TotalCount:Int32 = new Int32() with get,set

        [<DataMember>]
        member val IsGeneric:Boolean = new Boolean() with get,set

        [<DataMember>]
        member val Context:IDictionary<String, String> = null with get,set

        [<DataMember>]
        member val Items:IEnumerable<ItemsTargetLanguageStatusProxy> = null with get,set

F# SpecificListsGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/lists-api/items HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}